Novell Home

Security update for PHP5

Knowledgebase

(Last modified: 09MAY2007)


solutions Security update for PHP5 SuSE Linux Maintenance Web (24bcc1ec811335d2d94a608b33d39f6b)

Applies to

Package: apache2-mod_php5
php5
php5-bcmath
php5-bz2
php5-calendar
php5-ctype
php5-curl
php5-dba
php5-dbase
php5-devel
php5-dom
php5-exif
php5-fastcgi
php5-filepro
php5-ftp
php5-gd
php5-gettext
php5-gmp
php5-iconv
php5-imap
php5-ldap
php5-mbstring
php5-mcrypt
php5-mhash
php5-mysql
php5-mysqli
php5-ncurses
php5-odbc
php5-openssl
php5-pcntl
php5-pdo
php5-pdo_mysql
php5-pdo_pgsql
php5-pdo_sqlite
php5-pear
php5-pgsql
php5-posix
php5-pspell
php5-shmop
php5-snmp
php5-soap
php5-sockets
php5-sqlite
php5-sysvmsg
php5-sysvsem
php5-sysvshm
php5-tidy
php5-tokenizer
php5-wddx
php5-xmlreader
php5-xmlrpc
php5-xmlwriter
php5-xsl
php5-zlib
Product(s): SLE SDK 10 for x86
SLE SDK 10 for IPF
SLE SDK 10 for IBM iSeries and IBM pSeries
SLE SDK 10 for IBM zSeries
SLE SDK 10 for X86-64
SUSE SLES 10 for x86
SUSE SLES 10 for IPF
SUSE SLES 10 for IBM POWER
SUSE SLES 10 for IBM zSeries 64bit
SUSE SLES 10 for AMD64 and Intel EM64T
Zypp-Patch-Number: 3290
Release: 20070509
Obsoletes: none

Indications

Everyone should update.

Contraindications

None.

Problem description

This update fixes numerous vulnerabilities in PHP. Most of them were made public during the "Month of PHP Bugs". The vulnerabilities potentially lead to crashes, information leaks or even execution of malicious code.
CVE-2007-1380, CVE-2007-0988, CVE-2007-1375, CVE-2007-1521 CVE-2007-1376, CVE-2007-1583, CVE-2007-1461, CVE-2007-1484 CVE-2007-1700, CVE-2007-1717, CVE-2007-1718, CVE-2007-1001 CVE-2007-1824

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh apache2-mod_php5.rpm php5.rpm php5-bcmath.rpm php5-bz2.rpm php5-calendar.rpm php5-ctype.rpm php5-curl.rpm php5-dba.rpm php5-dbase.rpm php5-devel.rpm php5-dom.rpm php5-exif.rpm php5-fastcgi.rpm php5-filepro.rpm php5-ftp.rpm php5-gd.rpm php5-gettext.rpm php5-gmp.rpm php5-iconv.rpm php5-imap.rpm php5-ldap.rpm php5-mbstring.rpm php5-mcrypt.rpm php5-mhash.rpm php5-mysql.rpm php5-mysqli.rpm php5-ncurses.rpm php5-odbc.rpm php5-openssl.rpm php5-pcntl.rpm php5-pdo.rpm php5-pdo_mysql.rpm php5-pdo_pgsql.rpm php5-pdo_sqlite.rpm php5-pear.rpm php5-pgsql.rpm php5-posix.rpm php5-pspell.rpm php5-shmop.rpm php5-snmp.rpm php5-soap.rpm php5-sockets.rpm php5-sqlite.rpm php5-sysvmsg.rpm php5-sysvsem.rpm php5-sysvshm.rpm php5-tidy.rpm php5-tokenizer.rpm php5-wddx.rpm php5-xmlreader.rpm php5-xmlrpc.rpm php5-xmlwriter.rpm php5-xsl.rpm php5-zlib.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© 2014 Novell